Author Topic: [SOLVED] Problem after upgrade from 4.2 to 5.0  (Read 1044 times)

kcybulski

  • Zen Apprentice
  • *
  • Posts: 3
  • Karma: +0/-0
    • View Profile
[SOLVED] Problem after upgrade from 4.2 to 5.0
« on: April 24, 2017, 12:13:55 pm »
Hi, all

I have problem with starting zentyal after upgrade from ubuntu 14.04/Zentyal 4.2 to 16.04/Zentyal 5.0
When I try to start zentyal I am getting error like below.

Can you please help me to repair my server

Code: [Select]
service zentyal start
Job for zentyal.service failed because the control process exited with error code. See "systemctl status zentyal.service" and "journalctl -xe" for details.

Code: [Select]
journalctl -xe

Apr 24 12:03:57 zentyal systemd[1]: Starting Zentyal start/stop task...
-- Subject: Unit zentyal.service has begun start-up
-- Defined-By: systemd
-- Support: http://lists.freedesktop.org/mailman/listinfo/systemd-devel
--
-- Unit zentyal.service has begun starting up.
Apr 24 12:03:57 zentyal zs[19906]: Can't locate TryCatch.pm in @INC (you may need to install the TryCatch module) (@INC contains: /etc/perl /usr/local/lib/x86_64-linux-gnu/perl/5.22.1 /usr/loc
Apr 24 12:03:57 zentyal zs[19906]: BEGIN failed--compilation aborted at /usr/share/perl5/EBox/Sudo.pm line 25.
Apr 24 12:03:57 zentyal zs[19906]: Compilation failed in require at /usr/share/perl5/EBox/Module/Base.pm line 28.
Apr 24 12:03:57 zentyal zs[19906]: BEGIN failed--compilation aborted at /usr/share/perl5/EBox/Module/Base.pm line 28.
Apr 24 12:03:57 zentyal zs[19906]: Compilation failed in require at /usr/share/perl/5.22/base.pm line 97.
Apr 24 12:03:57 zentyal zs[19906]:         ...propagated at /usr/share/perl/5.22/base.pm line 106.
Apr 24 12:03:57 zentyal zs[19906]: BEGIN failed--compilation aborted at /usr/share/perl5/EBox/Module/Config.pm line 20.
Apr 24 12:03:57 zentyal zs[19906]: Compilation failed in require at /usr/share/perl/5.22/base.pm line 97.
Apr 24 12:03:57 zentyal zs[19906]:         ...propagated at /usr/share/perl/5.22/base.pm line 106.
Apr 24 12:03:57 zentyal zs[19906]: BEGIN failed--compilation aborted at /usr/share/perl5/EBox/GlobalImpl.pm line 21.
Apr 24 12:03:57 zentyal zs[19906]: Compilation failed in require at /usr/share/perl5/EBox/Global.pm line 22.
Apr 24 12:03:57 zentyal zs[19906]: BEGIN failed--compilation aborted at /usr/share/perl5/EBox/Global.pm line 22.
Apr 24 12:03:57 zentyal zs[19906]: Compilation failed in require at /usr/share/perl5/EBox/Util/Init.pm line 21.
Apr 24 12:03:57 zentyal zs[19906]: BEGIN failed--compilation aborted at /usr/share/perl5/EBox/Util/Init.pm line 21.
Apr 24 12:03:57 zentyal zs[19906]: Compilation failed in require at /usr/bin/zs line 18.
Apr 24 12:03:57 zentyal zs[19906]: BEGIN failed--compilation aborted at /usr/bin/zs line 18.
Apr 24 12:03:57 zentyal systemd[1]: zentyal.service: Main process exited, code=exited, status=2/INVALIDARGUMENT
Apr 24 12:03:57 zentyal systemd[1]: Failed to start Zentyal start/stop task.
-- Subject: Unit zentyal.service has failed
-- Defined-By: systemd
-- Support: http://lists.freedesktop.org/mailman/listinfo/systemd-devel
--
-- Unit zentyal.service has failed.
--
-- The result is failed.

« Last Edit: April 24, 2017, 03:32:25 pm by kcybulski »

kcybulski

  • Zen Apprentice
  • *
  • Posts: 3
  • Karma: +0/-0
    • View Profile
Re: Problem after upgrade from 4.2 to 5.0
« Reply #1 on: April 24, 2017, 03:31:58 pm »
A managed to solve this myself, installing TryCatch from cpan not the one from Ubuntu.
So the solution is
Code: [Select]
cpan TryCatch

sgisoft

  • Zen Apprentice
  • *
  • Posts: 3
  • Karma: +0/-0
  • SGISoft S.L.
    • View Profile
    • SGISoft
Re: [SOLVED] Problem after upgrade from 4.2 to 5.0
« Reply #2 on: November 27, 2018, 06:23:06 pm »
Hello,
This also happens when going from version 4.2 to version 6.0 passing through 5.
And the solution you mention works perfectly.
Thank you!
 ;D ;D

Neustradamus

  • Zen Monk
  • **
  • Posts: 63
  • Karma: +0/-2
    • View Profile
Re: [SOLVED] Problem after upgrade from 4.2 to 5.0
« Reply #3 on: November 28, 2018, 03:42:51 am »
Please create an issue here: https://github.com/zentyal/zentyal/issues/

With your solution too :)

The best way to inform and for have a solution directly in the migration code ^^

 

mailcat